<?php

function createSystem(string $systemName) {
	if(!isLoggedIn()) { return; }
	
	dbCreateSystem($systemName, true, null, $_SESSION["userId"]);
}

function getMembers($systemId) {
	if(!isLoggedIn()) { return; }	
}

function getSystems() {
	if(!isLoggedIn()) { return; }
	
	$dbSystems = dbGetSystems($_SESSION["userId"]);
	
	$systemList = Array();
	
	foreach($dbSystems as &$dbSystem)
	{
		
		$systemEntry = Array(
			"id" => $dbSystem[0],
			"name" => htmlspecialchars($dbSystem[1], ENT_QUOTES),
			"isPlural" => (bool)$dbSystem[2],
			"subSystem" => $dbSystem[3],
			"userCreated" => $dbSystem[4],
			"memberCount" => dbGetMemberCount($dbSystem[0])
		);
		
		array_push($systemList, $systemEntry);
	}
	
	return $systemList;
}

?>